<?php 
include_once("conexion.class.php");

class Persona{
 //constructor	
 	var $con;
 	function persona(){
 		$this->con=new DBManager;
 	}

	function insertar($campos){
		if($this->con->conectar()==true){
			//print_r($campos);
			//echo "INSERT INTO cliente (nombres, ciudad, sexo, telefono, fecha_nacimiento) VALUES ('".$campos[0]."', '".$campos[1]."','".$campos[2]."','".$campos[3]."','".$campos[4]."')";
			return mysql_query("INSERT INTO persona (cedula_per,apellidos_per,nombres_per,lugarNac_per,fechaNac_per) VALUES ('".$campos[0]."', '".$campos[1]."','".$campos[2]."','".$campos[3]."','".$campos[4]."')");
			
			//return mysql_query("INSERT INTO persona (cedula_per, apellido_per,nombres_per,lugarNac_per,fechaNac_per) VALUES ('".$campos[0]."', '".$campos[1]."','".$campos[2]."','".$campos[3]."','".$campos[4]."')");
		}
	}
	
	function actualizar($campos,$id_per){
		if($this->con->conectar()==true){
			//print_r($campos);
			return mysql_query("UPDATE persona SET cedula_per = '".$campos[0]."', apellidos_per = '".$campos[1]."', nombres_per = '".$campos[2]."', lugarNac_per = '".$campos[3]."', fechaNac_per = '".$campos[4]."' WHERE id_per = ".$id_per);
		}
	}
	
	function actualizar_usuario($campos,$id_per){
		if($this->con->conectar()==true){
			//print_r($campos);
			
			 
			return mysql_query("UPDATE persona SET cedula_per = '".$campos[0]."', apellidos_per = '".$campos[1]."', nombres_per = '".$campos[2]."', lugarNac_per = '".$campos[3]."', fechaNac_per = '".$campos[4]."' WHERE id_per = ".$id_per);
		}
	}
	
	function mostrar_persona($id_per){
		if($this->con->conectar()==true){
			return mysql_query("SELECT cedula_per, apellidos_per,nombres_per, lugarNac_per, fechaNac_per,id_per FROM persona WHERE id_per=".$id_per);
		}
	}
	
	function mostrar_usuario($id_per){
		if($this->con->conectar()==true){
			return mysql_query("SELECT usuario_usu, contrasena_usu FROM usuario WHERE idPer_usu=".$id_per);
		}
	}

	function mostrar_personas(){
		if($this->con->conectar()==true){
			return mysql_query("SELECT cedula_per, apellidos_per,nombres_per, lugarNac_per, fechaNac_per,id_per FROM persona ORDER BY id_per DESC");
		}
	}
	
	function mostrar_personaid() {
	       if($this->con->conectar()==true){
			    return mysql_query("SELECT max(id_per) id_pernuevo FROM persona");
				
				
		   }
		   
	   }
	   
	 function insertar_usuario($campos){
		if($this->con->conectar()==true){
			//print_r($campos);
			
			if($campos[0]=="" and $campos[1]=="")
			 {
				 return mysql_query("INSERT INTO usuario (usuario_usu,contrasena_usu,idPer_usu) VALUES ('".$campos[0]."', '".$campos[1]."','".$campos[2]."')");;
			 }
			 
			else
			{
			  return mysql_query("UPDATE usuario SET  usuario_usu = '".$campos[0]."', contrasena_usu = '".$campos[1]."' WHERE idPer_usu = ".$campos[2]);
			  
				  
			 
			}
			
		}
	} 
	   
	   

	function eliminar($id_per){
		if($this->con->conectar()==true){
			return mysql_query("DELETE from persona WHERE id_per=".$id_per);
		}
	}
}
?>